View Issue Details

IDProjectCategoryView StatusLast Update
0004419Slicer4Core: Base Codepublic2017-09-05 00:25
ReporterfedorovAssigned Tojcfr 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSmacOSOS Version
Product VersionSlicer 4.7.0 
Target VersionFixed in Version 
Summary0004419: Runtime warning in updated numpy is interpreted as error for extensions on macOS
Description

Related discussion on forum: https://discourse.slicer.org/t/runtime-warning-on-startup-in-numpy/757

PR that introduced numpy update, which likely caused the issue: https://github.com/Slicer/Slicer/pull/746

Example of the extension that is broken due to this warning: http://slicer.cdash.org/viewBuildError.php?buildid=1084003

TagsNo tags attached.

Activities

jcfr

jcfr

2017-09-04 17:02

administrator   ~0015089

This should be addressed by https://github.com/Slicer/Slicer/pull/786

If there are no objections, I will integrate later tonight.

Note: Developer may have to delete NUMPY-* directories before re-configuring.

jcfr

jcfr

2017-09-05 00:25

administrator   ~0015090

Fixes integrated in r26337 and r26338

Note that the fix consist in temporarily disabling the warnings.

https://github.com/Slicer/Slicer/blob/master/SuperBuild/numpy-03-core-getlimits-ignore-warnings.patch

Issue History

Date Modified Username Field Change
2017-08-22 17:13 fedorov New Issue
2017-08-22 17:13 fedorov Status new => assigned
2017-08-22 17:13 fedorov Assigned To => jcfr
2017-09-04 17:02 jcfr Status assigned => resolved
2017-09-04 17:02 jcfr Resolution open => fixed
2017-09-04 17:02 jcfr Note Added: 0015089
2017-09-05 00:25 jcfr Note Added: 0015090